NetSelectivity {PerformanceAnalytics} | R Documentation

## Net selectivity of the return distribution

### Description

Net selectivity is the remaining selectivity after deducting the amount of return require to justify not being fully diversified

### Usage

    NetSelectivity(Ra, Rb, Rf = 0, ...)

### Arguments

`Ra` | an xts, vector, matrix, data frame, timeSeries or zoo object of asset returns
`Rb` | return vector of the benchmark asset
`Rf` | risk free rate, in same period as your returns
`...` | any other passthru parameters

### Details

If net selectivity is negative the portfolio manager has not justified the loss of diversification

Net selectivity = Selectity - diversification

where α is the selectivity and d is the diversification

### Author(s)

Matthieu Lestel

### References

Carl Bacon, Practical portfolio performance measurement and attribution, second edition 2008 p.78

### Examples

    data(portfolio_bacon)
    print(NetSelectivity(portfolio_bacon[,1], portfolio_bacon[,2])) #expected -0.017

    data(managers)
    print(NetSelectivity(managers['1996',1], managers['1996',8]))
    print(NetSelectivity(managers['1996',1:5], managers['1996',8]))

[Package PerformanceAnalytics version 1.5.3 Index]